module u_interface

INTERFACE
subroutine update(anew,aold,t,dt,dr,nx,ny)
use types
real(SP), dimension(:,:) :: anew,aold
real(SP)                 :: t,dt
integer(I4B)             :: nx,ny
real(SP), dimension(2)   :: dr
end subroutine update

subroutine boundaries(g,rb,lb,t,nx,ny)
use types
real(SP), dimension(:,:)   :: g
integer(I4B), dimension(2) :: rb,lb
real(SP)                   :: t
integer(I4B)               :: nx,ny
end subroutine boundaries
END INTERFACE

end module u_interface
